--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: fix
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Adds a fixture to record map. Block is supposed to return a hash of attributes.
- !ruby/struct:SM::Flow::P 
  body: "@param name [Symbol, String] Name of the fixture @param blk [Proc] A proc that returns fixture attributes"
- !ruby/struct:SM::Flow::P 
  body: "@returns nil"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Model#fixture
is_singleton: false
name: fixture
params: (name = default_fauxture_name, &blk)
visibility: public
